%define major 0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	Great utility for computing hash sums
Name:		rhash
Version:	1.3.4
Release:	2
License:	MIT
Group:		System/Libraries
Url:		https://github.com/rhash/RHash
Source0:	https://github.com/rhash/RHash/archive/v%{version}/%{name}-%{version}.tar.gz

%description
RHash is a console utility for calculation and verification of magnet links
and a wide range of hash sums like CRC32, MD4, MD5, SHA1, SHA256, SHA512,
SHA3, AICH, ED2K, Tiger, DC++ TTH, BitTorrent BTIH, GOST R 34.11-94,
RIPEMD-160, HAS-160, EDON-R, Whirlpool and Snefru.

Hash sums are used to  ensure and verify integrity of large volumes of data
for a long-term storing or transferring.

Features:
 * Output in a predefined (SFV, BSD-like) or a user-defined format.
 * Can calculate Magnet links.
 * Updating hash files (adding hash sums of files missing in the hash file).
 * Calculates several hash sums in one pass
 * Ability to process directories recursively.
 * Portability: the program works the same on Linux, *BSD or Windows.

%files -f %{name}.lang
%doc COPYING README
%config(noreplace) %{_sysconfdir}/rhashrc
%{_bindir}/rhash
%{_bindir}/*-hash
%{_bindir}/*-link
%{_mandir}/man1/rhash.1*
%{_mandir}/man1/*-hash.1*
%{_mandir}/man1/*-link.1*

#--------------------------------------------------------------------------

%package -n %{libname}
Summary:	%{name} shared library
Group:		System/Libraries

%description -n %{libname}
%{name} shared library.

%files -n %{libname}
%doc COPYING
%{_libdir}/lib%{name}.so.%{major}*

#--------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for lib%{name}
Group:		Development/Other
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Conflicts:	rhash-%{_lib}rhash-devel < 1.3.4-2
Obsoletes:	rhash-%{_lib}rhash-devel < 1.3.4-2

%description -n %{devname}
LibRHash is a professional, portable, thread-safe C library for computing
a wide variety of hash sums, such as  CRC32, MD4, MD5, SHA1, SHA256, SHA512,
SHA3, AICH, ED2K, Tiger, DC++ TTH, BitTorrent BTIH, GOST R 34.11-94,
RIPEMD-160, HAS-160, EDON-R, Whirlpool and Snefru.
Hash sums are used to ensure and verify integrity of large volumes of data
for a long-term storing or transferring.

Features:
 * Small and easy to learn interface.
 * Hi-level and Low-level API.
 * Allows calculating of several hash functions simultaneously.
 * Portability: the library works on Linux, *BSD and Windows.

The %{name}-devel package contains libraries and header files for
developing applications that use lib%{name}.

%files -n %{devname}
%doc COPYING
%{_includedir}/*.h
%{_libdir}/*.so

#--------------------------------------------------------------------------

%prep
%setup -qn RHash-%{version}
sed -i -e '/^INSTALL_SHARED/s/644/755/' librhash/Makefile

%build
%make OPTFLAGS="%{optflags}" build-shared

%install
make \
	DESTDIR=%{buildroot} \
	PREFIX=%{_prefix} \
	LIBDIR=%{_libdir} \
	install-shared \
	install-lib-shared \
	install-gmo
make -C librhash \
	DESTDIR=%{buildroot} \
	PREFIX=%{_prefix} \
	LIBDIR=%{_libdir} \
	install-so-link \
	install-headers

%find_lang %{name}

%check
make test-shared


%changelog

* Thu Aug 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.3.4-2
- (b3706c1) Fix development package name


